Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Translation Class Reference

Describes a translation. More...

`#include <Actionfield.h>`

Inheritance diagram for Translation:

[legend]
Collaboration diagram for Translation:

[legend]
List of all members.

## Public Member Functions
TransformationType | getType ()
| Returns the type of the action.
PotentialfieldTransformation * | copy ()
| Returns a pointer to a copy of the object.
## Public Attributes
PfVec | translation
| Translation vector.
bool | alongGradient
| Flag: true, if the transformation is along the current gradient.
double | stepLength
| Step length on the gradient (only used, if along gradient has been set).
double | maxGradientDeviation
| Maximum deviation from the gradient (only used, if along gradient has been set).
double | maxLength
| Maximum length of a translation (only used, if along gradient has been set).
PotentialFieldsObject * | toObject
| An object to translate to.
double | speed
| The speed of a translation in millimeters per second, only used in combination with alongGradient of toObject.

## Detailed Description

Describes a translation.

Definition at line 267 of file Actionfield.h.

## Member Function Documentation

TransformationType Translation::getType | ( |  | ) | `[inline, virtual]`

| Returns the type of the action. Returns: The type Implements PotentialfieldTransformation. Definition at line 289 of file Actionfield.h. References TransformationType, and TRANSLATION.

PotentialfieldTransformation* Translation::copy | ( |  | ) | `[inline, virtual]`

| Returns a pointer to a copy of the object. Returns: A pointer to a copy Implements PotentialfieldTransformation. Definition at line 295 of file Actionfield.h. References alongGradient, maxGradientDeviation, maxLength, PotentialfieldTransformation::probability, speed, stepLength, PotentialfieldTransformation::time, toObject, and translation.

## Member Data Documentation

PfVec Translation::translation

| Translation vector. Definition at line 271 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

bool Translation::alongGradient

| Flag: true, if the transformation is along the current gradient. Definition at line 273 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

double Translation::stepLength

| Step length on the gradient (only used, if along gradient has been set). Definition at line 275 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

double Translation::maxGradientDeviation

| Maximum deviation from the gradient (only used, if along gradient has been set). Definition at line 277 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

double Translation::maxLength

| Maximum length of a translation (only used, if along gradient has been set). Definition at line 279 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

PotentialFieldsObject* Translation::toObject

| An object to translate to. Definition at line 281 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

double Translation::speed

| The speed of a translation in millimeters per second, only used in combination with alongGradient of toObject. Definition at line 284 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/Actionfield.h